#!/usr/local/bin/php
<?php
/**
 * $Horde: framework/XML_WBXML/tests/decode-encode.phpt,v 1.4 2004/07/12 17:59:33 chuck Exp $
 */

include_once 'XML/WBXML/Decoder.php';
include_once 'XML/WBXML/Encoder.php';

$test_input = '../docs/examples/syncml_client_packet_1.wbxml';
$test_wbxml = 'test-' . basename($test_input) . '.wbxml';
$test_xml   = 'test-' . basename($test_input) . '.xml';

$wbxml_in = file_get_contents($test_input, 'rb');

$decoder = &new XML_WBXML_Decoder();
$xml = $decoder->decode($wbxml_in);

$encoder = &new XML_WBXML_Encoder();
$wbxml_out = $encoder->encode($xml);

if ($wbxml_in == $wbxml_out) {
    echo "Passed.\n";
} else {
    echo "Failed.\n\n";

    if (@include_once 'Text/Diff.php') {
        include_once 'Text/Diff/Renderer.php';
        include_once 'Text/Diff/Renderer/unified.php';

        $diff = &new Text_Diff(explode("\n", $wbxml_in),
                               explode("\n", $wbxml_out));

        /* Return the diff just in unified format for now. */
        $renderer = &new Text_Diff_Renderer_unified();
        echo "\n" . $renderer->render($diff);
    }
}
